Versions Packages Information History CVEs Related Badges Report

Versions for crypto++

155 package(s) known

Repository Package name Version Category Maintainer(s)
Alpine Linux Edge
testing
crypto++-dev 8.5.0 - amatcoder@gmail.com
Alpine Linux Edge
testing
crypto++-static 8.5.0 - amatcoder@gmail.com
Alpine Linux Edge
testing
crypto++ 8.5.0 - amatcoder@gmail.com
ALT Linux p9 libcryptopp 7.0.0 Potentially vulnerable System/Libraries lav@altlinux.ru
ALT Sisyphus libcryptopp 8.2.0 Potentially vulnerable System/Libraries lav@altlinux.ru
AOSC crypto++ 8.2.0 Potentially vulnerable libs fallback-mnt-aosc@repology
Arch
community
crypto++ 8.5.0 - -
AUR crypto++-git 20160916 - nullptr_t@aur
AUR crypto++-562 5.6.2 Potentially vulnerable - son_link@aur
Artix
galaxy
crypto++ 8.5.0 - -
Astra Orel Stable
main
libcrypto++ 5.6.4 Potentially vulnerable libs gcs@debian.org
Astra Orel Current
main
libcrypto++ 5.6.4 Potentially vulnerable libs gcs@debian.org
Buckaroo cryptopp 5.6.5 Potentially vulnerable - -
Chakra
desktop
crypto++ 5.6.5 Potentially vulnerable - -
ConanCenter cryptopp 8.5.0 - -
ConanCenter cryptopp 8.4.0 - -
ConanCenter cryptopp 8.2.0 Potentially vulnerable - -
CRUX 3.4
contrib
crypto++ 5.6.4 Potentially vulnerable - crux@romster.me
CRUX 3.5
contrib
crypto++ 8.2.0 Potentially vulnerable - crux@romster.me
CRUX 3.6
contrib
crypto++ 8.5.0 - crux@romster.me
Debian Oldstable
oldstable/main
libcrypto++ 5.6.4 Potentially vulnerable libs gcs@debian.org
Debian Stable
stable/main
libcrypto++ 5.6.4 Potentially vulnerable libs gcs@debian.org
Debian Testing
testing/main
libcrypto++ 8.4.0 libs gcs@debian.org
Debian Unstable
main
libcrypto++ 8.4.0 libs gcs@debian.org
Deepin
main
libcrypto++ 5.6.4 Potentially vulnerable libs gcs@debian.org
Devuan 1.0 (Jessie)
jessie/main
libcrypto++ 5.6.1 Potentially vulnerable libs gcs@debian.org
Devuan 2.0 (ASCII)
ascii/main
libcrypto++ 5.6.4 Potentially vulnerable libs gcs@debian.org
Devuan 3.0 (Beowulf)
beowulf/main
libcrypto++ 5.6.4 Potentially vulnerable libs gcs@debian.org
Devuan 4.0 (Chimaera)
chimaera/main
libcrypto++ 8.4.0 libs gcs@debian.org
Devuan Unstable
unstable/main
libcrypto++ 8.4.0 libs gcs@debian.org
DPorts security/cryptopp 8.2.0 Potentially vulnerable security jhale@freebsd.org
Entware
mipselsf-k3.4
libcryptoxx 5.6.4 Potentially vulnerable libs fallback-mnt-entware@repology
Entware
mipssf-k3.4
libcryptoxx 5.6.4 Potentially vulnerable libs fallback-mnt-entware@repology
Entware
aarch64-k3.10
libcryptoxx 5.6.4 Potentially vulnerable libs fallback-mnt-entware@repology
Entware
armv5sf-k3.2
libcryptoxx 5.6.4 Potentially vulnerable libs fallback-mnt-entware@repology
Entware
armv7sf-k2.6
libcryptoxx 5.6.4 Potentially vulnerable libs fallback-mnt-entware@repology
Entware
armv7sf-k3.2
libcryptoxx 5.6.4 Potentially vulnerable libs fallback-mnt-entware@repology
Entware
x64-k3.2
libcryptoxx 5.6.4 Potentially vulnerable libs fallback-mnt-entware@repology
EPEL 6 cryptopp 5.6.2 Potentially vulnerable System Environment/Libraries -
EPEL 7 cryptopp 5.6.2 Potentially vulnerable System Environment/Libraries -
EPEL 8 cryptopp 8.2.0 Potentially vulnerable Unspecified -
Exherbo
arbor
dev-libs/crypto++ 8.5.0 dev-libs fallback-mnt-exherbo@repology
Fedora 26
updates
cryptopp 5.6.5 Potentially vulnerable Unspecified -
Fedora 26
release
cryptopp 5.6.3 Potentially vulnerable System Environment/Libraries -
Fedora 27
updates
cryptopp 5.6.5 Potentially vulnerable Unspecified -
Fedora 27
release
cryptopp 5.6.3 Potentially vulnerable System Environment/Libraries -
Fedora 28
release
cryptopp 6.1.0 Potentially vulnerable Unspecified -
Fedora 29
release
cryptopp 7.0.0 Potentially vulnerable Unspecified -
Fedora 29
updates
cryptopp 7.0.0 Potentially vulnerable Unspecified -
Fedora 30
updates
cryptopp 8.2.0 Potentially vulnerable Unspecified -
Fedora 30
release
cryptopp 8.1.0 Potentially vulnerable Unspecified -
Fedora 31
release
cryptopp 8.2.0 Potentially vulnerable Unspecified -
Fedora 32
release
cryptopp 8.2.0 Potentially vulnerable Unspecified -
Fedora 33
release
cryptopp 8.2.0 Potentially vulnerable Unspecified -
Fedora Rawhide cryptopp 8.4.0 Unspecified -
FreeBSD Ports security/cryptopp 8.5.0 security jhale@freebsd.org
Funtoo 1.4
dev-kit
dev-libs/crypto++ 8.2.0 Potentially vulnerable dev-libs crypto@gentoo.org, noloader@gmail.com
Funtoo 1.4
dev-kit
dev-libs/crypto++ 7.0.0 Potentially vulnerable dev-libs crypto@gentoo.org, noloader@gmail.com
Funtoo 1.4
dev-kit
dev-libs/crypto++ 5.6.5 Potentially vulnerable dev-libs crypto@gentoo.org, noloader@gmail.com
Gentoo dev-libs/crypto++ 8.5.0 dev-libs sam@gentoo.org
Gentoo dev-libs/crypto++ 8.4.0 dev-libs sam@gentoo.org
Gentoo dev-libs/crypto++ 8.2.0 Potentially vulnerable dev-libs sam@gentoo.org
GNU Guix crypto++ 8.5.0 - -
GoboLinux LibCrypto++ 5.6.5 Potentially vulnerable - -
GoboLinux Crypto++ 5.5.2 Potentially vulnerable - -
HaikuPorts master dev-libs/crypto++ 8.2.0 Potentially vulnerable dev-libs -
Hyperbola
extra
crypto++ 5.6.5 Potentially vulnerable - -
Kali Linux Rolling
main
libcrypto++ 8.4.0 libs gcs@debian.org
KaOS
main
crypto++ 8.5.0 - demm@kaosx.us
LiGurOS stable dev-libs/crypto++ 8.5.0 dev-libs sam@gentoo.org
LiGurOS stable dev-libs/crypto++ 8.4.0 dev-libs sam@gentoo.org
LiGurOS stable dev-libs/crypto++ 8.2.0 Potentially vulnerable dev-libs sam@gentoo.org
LiGurOS develop dev-libs/crypto++ 8.5.0 dev-libs sam@gentoo.org
LiGurOS develop dev-libs/crypto++ 8.4.0 dev-libs sam@gentoo.org
LiGurOS develop dev-libs/crypto++ 8.2.0 Potentially vulnerable dev-libs sam@gentoo.org
MacPorts libcryptopp 8.5.0 devel raphael@macports, raphael-st@github
Mageia 6
core/release
libcryptopp 5.6.5 Potentially vulnerable System/Libraries -
Mageia 7
core/release
libcryptopp 7.0.0 Potentially vulnerable System/Libraries -
Mageia 7
core/updates
libcryptopp 7.0.0 Potentially vulnerable System/Libraries -
Mageia 8
core/release
libcryptopp 8.2.0 Potentially vulnerable System/Libraries -
Mageia Cauldron
core/release
libcryptopp 8.2.0 Potentially vulnerable System/Libraries -
Manjaro Stable
community
crypto++ 8.5.0 - -
Manjaro Testing
community
crypto++ 8.5.0 - -
Manjaro Unstable
community
crypto++ 8.5.0 - -
MidnightBSD mports security/cryptopp 5.6.5 Potentially vulnerable security -
MSYS2 mingw
x86_64
mingw-w64-x86_64-crypto++ 8.4.0 - -
MSYS2 mingw
i686
mingw-w64-i686-crypto++ 8.4.0 - -
nixpkgs stable crypto++ 8.2.0 Potentially vulnerable - c0bw3b@gmail.com
nixpkgs unstable crypto++ 8.4.0 - c0bw3b@gmail.com
OpenBSD Ports devel/cryptopp 8.2.0 Potentially vulnerable devel ports@openbsd.org
openmamba
devel-autodist
libcryptopp 8.5.0 System/Libraries silvan.calarco@mambasoft.it
openmamba
devel
libcryptopp 5.6.2 Potentially vulnerable System/Libraries silvan.calarco@mambasoft.it
OpenMandriva 4.0
main/release
cryptopp 8.2.0 Potentially vulnerable System/Libraries bero@lindev.ch
OpenMandriva Cooker
main/release
cryptopp 8.2.0 Potentially vulnerable System/Libraries bero@lindev.ch
OpenPKG cryptopp 8.5.0 Cryptography -
openSUSE Leap 42.3
main/oss
libcryptopp 5.6.2 Potentially vulnerable Development/Libraries/C and C++ -
openSUSE Leap 15.0
main/oss
libcryptopp 5.6.5 Potentially vulnerable Development/Libraries/C and C++ -
openSUSE Leap 15.0
updates/oss
libcryptopp 5.6.5 Potentially vulnerable Development/Libraries/C and C++ -
openSUSE Leap 15.1
main/oss
libcryptopp 5.6.5 Potentially vulnerable Development/Libraries/C and C++ -
openSUSE Leap 15.1
updates/oss
libcryptopp 5.6.5 Potentially vulnerable Development/Libraries/C and C++ -
openSUSE Leap 15.2
main/oss
libcryptopp 5.6.5 Potentially vulnerable Development/Libraries/C and C++ -
openSUSE Leap 15.3
main/oss
libcryptopp 5.6.5 Potentially vulnerable Development/Libraries/C and C++ -
openSUSE Tumbleweed
src-oss
libcryptopp 8.5.0 Unspecified -
Parabola
community
crypto++ 8.5.0 - -
Pardus 17
main
libcrypto++ 5.6.4 Potentially vulnerable libs gcs@debian.org
Pardus 19
main
libcrypto++ 5.6.4 Potentially vulnerable libs gcs@debian.org
Parrot
main
libcrypto++ 8.4.0 libs gcs@debian.org
PCLinuxOS libcryptopp 5.6.5 Potentially vulnerable System/Libraries -
Pisi Linux
main
crypto++ 8.2.0 Potentially vulnerable library admins@pisilinux.org
pkgsrc current security/crypto++ 8.2.0 Potentially vulnerable security pkgsrc-users@netbsd.org
PLD Linux cryptopp 8.2.0 Potentially vulnerable - -
PureOS Amber libcrypto++ 5.6.4 Potentially vulnerable misc gcs@debian.org
PureOS landing libcrypto++ 8.4.0 misc gcs@debian.org
Raspbian Oldstable
main
libcrypto++ 5.6.4 Potentially vulnerable libs gcs@debian.org
Raspbian Stable
main
libcrypto++ 5.6.4 Potentially vulnerable libs gcs@debian.org
Raspbian Testing
main
libcrypto++ 5.6.4 Potentially vulnerable libs gcs@debian.org
Ravenports cryptopp 8.5.0 security fallback-mnt-ravenports@repology
Rosa 2014.1
main/updates
cryptopp 5.6.2 Potentially vulnerable - -
Rosa 2014.1
contrib/release
cryptopp 5.6.2 Potentially vulnerable - -
Rosa 2016.1
main/release
cryptopp 5.6.3 Potentially vulnerable - -
Rosa 2019.1
main/release
cryptopp 8.2.0 Potentially vulnerable System/Libraries m.novosyolov@rosalinux.ru
SlackBuilds libraries/cryptopp 8.5.0 libraries slackbuilds@mareichelt.de
Slackware current
slackware
cryptopp 8.2.0 Potentially vulnerable - volkerdi@slackware.com
Slackware64 current
slackware64
cryptopp 8.2.0 Potentially vulnerable - volkerdi@slackware.com
Slackwarearm current
slackware
cryptopp 8.2.0 Potentially vulnerable - volkerdi@slackware.com
SliTaz Cooking cryptopp 8.0.0 Potentially vulnerable security pankso@slitaz.org
SliTaz Next cryptopp 5.6.5 Potentially vulnerable security devel@slitaz.org
Solus cryptopp 8.2 Potentially vulnerable programming jacob.alzen@gmail.com
Solus cryptopp-dbginfo 8.2 Potentially vulnerable debug jacob.alzen@gmail.com
Solus cryptopp-devel 8.2 Potentially vulnerable programming.devel jacob.alzen@gmail.com
Sparky Stable
core
libcrypto++ 5.6.1 Potentially vulnerable libs gcs@debian.org
Sparky Testing
core
libcrypto++ 5.6.1 Potentially vulnerable libs gcs@debian.org
T2 SDE crypto++ 564 extra/security t2@t2-project.org
Termux cryptopp 8.4.0 - leonid.pliushch@gmail.com
Trisquel 6.0
toutatis/main
libcrypto++ 5.6.1 Potentially vulnerable universe/libs gcs@debian.hu
Trisquel 7.0
belenos/main
libcrypto++ 5.6.1 Potentially vulnerable universe/libs gcs@debian.hu
Trisquel 7.0
belenos-updates/main
libcrypto++ 5.6.1 Potentially vulnerable universe/libs gcs@debian.org
Trisquel 8.0
flidas/main
libcrypto++ 5.6.1 Potentially vulnerable universe/libs gcs@debian.org
Trisquel 8.0
flidas-updates/main
libcrypto++ 5.6.1 Potentially vulnerable universe/libs ubuntu-devel-discuss@lists.ubuntu.com
Trisquel 8.0 backports
flidas-backports/main
libcrypto++ 5.6.4 Potentially vulnerable libs gcs@debian.org
Trisquel 9.0
etiona/main
libcrypto++ 5.6.4 Potentially vulnerable universe/libs gcs@debian.org
Ubuntu 12.04
precise/universe
libcrypto++ 5.6.1 Potentially vulnerable universe/libs gcs@debian.hu
Ubuntu 14.04
trusty/universe
libcrypto++ 5.6.1 Potentially vulnerable universe/libs gcs@debian.hu
Ubuntu 14.04
trusty-updates/universe
libcrypto++ 5.6.1 Potentially vulnerable universe/libs gcs@debian.org
Ubuntu 16.04
xenial/universe
libcrypto++ 5.6.1 Potentially vulnerable universe/libs gcs@debian.org
Ubuntu 16.04
xenial-updates/universe
libcrypto++ 5.6.1 Potentially vulnerable universe/libs ubuntu-devel-discuss@lists.ubuntu.com
Ubuntu 18.04
bionic/universe
libcrypto++ 5.6.4 Potentially vulnerable universe/libs gcs@debian.org
Ubuntu 20.04
focal/universe
libcrypto++ 5.6.4 Potentially vulnerable universe/libs gcs@debian.org
Ubuntu 20.10
groovy/universe
libcrypto++ 5.6.4 Potentially vulnerable universe/libs gcs@debian.org
Ubuntu 21.04
hirsute/universe
libcrypto++ 8.4.0 universe/libs gcs@debian.org
Vcpkg cryptopp 8.2.0 Potentially vulnerable - -
Void Linux x86_64
x86_64
crypto++ 8.3.0 Potentially vulnerable - orphan@voidlinux.org
Void Linux x86_64
x86_64
crypto++-devel 8.3.0 Potentially vulnerable - orphan@voidlinux.org
Wikidata Crypto++ 8.4.0 - -
YACP cryptopp 8.2.0 Potentially vulnerable Libs -